3v4l.org

run code in 300+ PHP versions simultaneously
<?php class A { public function foo(): self { return $this; } } class B extends A { public function foo(): self { return $this; } } (new B())->foo();
Output for 7.4.0 - 7.4.33, 8.0.0 - 8.0.30, 8.1.0 - 8.1.29, 8.2.0 - 8.2.21, 8.3.0 - 8.3.9
Output for 7.2.0 - 7.2.34, 7.3.0 - 7.3.33
Fatal error: Declaration of B::foo(): B must be compatible with A::foo(): A in /in/ttop8 on line 17
Process exited with code 255.

preferences:
158.11 ms | 402 KiB | 198 Q